Subject: Butlers Rangers Niagara Region 1777-80 CAN�SA

From: [email-masked] (Fred Jonas)
Date: Sat, 22 Jan 1994 05:23:27 GMT

Hi. I am helping a friend do some research on Food\Lifestyle of
the Group "Butlers Rangers"  This group operated under John Butler in
the Niagara Region CAN\USA during the revolution. Please help us out
with any information you may have on the above subject. My friend
belongs to an historical group that acts out battles as well as the
life and times of the Rangers in this period of history. Any...Yes
"ANY" info would be of great help to us. Please send E-Mail...Thanx
in advance  .............FRED+MIKE>>>>>>>>>>>>>>>>BYE